import type { Bit } from '../types/bit';
import { Mask } from './mask';
import { Slice } from './slice';
declare enum CellType {
    Ordinary = -1,
    PrunedBranch = 1,
    LibraryReference = 2,
    MerkleProof = 3,
    MerkleUpdate = 4
}
interface CellOptions {
    bits?: Bit[];
    refs?: Cell[];
    type?: CellType;
}
declare class Cell {
    private _bits;
    private _refs;
    private _type;
    private _mask;
    private hashes;
    private depths;
    constructor(options?: CellOptions);
    get bits(): Bit[];
    get refs(): Cell[];
    get mask(): Mask;
    get type(): CellType;
    get exotic(): boolean;
    private initialize;
    private getDepthDescriptor;
    getRefsDescriptor(mask?: Mask): Bit[];
    getBitsDescriptor(): Bit[];
    getAugmentedBits(): Bit[];
    hash(level?: number): string;
    depth(level?: number): number;
    slice(): Slice;
    print(indent?: number, size?: number): string;
    eq(cell: Cell): boolean;
}
export { Cell, CellType, CellOptions };
