import { Builder } from './builder';
import { Slice } from './slice';
import { Mask } from './mask';
import { Cell, CellType, CellOptions } from './cell';
import { Hashmap, HashmapE } from './hashmap';
import { BOCOptions } from './serializer';
declare class BOC {
    private static isHex;
    private static isBase64;
    private static isFift;
    private static isBytes;
    static from(data: Uint8Array | string, checkMerkleProofs?: boolean): Cell[];
    static fromStandard(data: Uint8Array | string, checkMerkleProofs?: boolean): Cell;
    static toBytes(cells: Cell[], options?: BOCOptions): Uint8Array;
    static toBytesStandard(cell: Cell, options?: BOCOptions): Uint8Array;
    static toBase64(cells: Cell[], options?: BOCOptions): string;
    static toBase64Standard(cell: Cell, options?: BOCOptions): string;
    static toFiftHex(cells: Cell[]): string;
    static toFiftHexStandard(cell: Cell): string;
    static toHex(cells: Cell[], options?: BOCOptions): string;
    static toHexStandard(cell: Cell, options?: BOCOptions): string;
}
export { BOC, BOCOptions, Mask, Cell, CellType, CellOptions, Hashmap, HashmapE, Slice, Builder };
