import type { Bit } from '../types/bit';
import type { Cell } from './cell';
import { Coins } from '../coins';
import { Address } from '../address';
import { HashmapE, HashmapOptions } from './hashmap';
declare class Slice {
    private _bits;
    private _refs;
    private constructor();
    get bits(): Bit[];
    get refs(): Cell[];
    skip(size: number): this;
    skipBits(size: number): this;
    skipRefs(size: number): this;
    skipDict(): this;
    loadRef(): Cell;
    preloadRef(): Cell;
    loadMaybeRef(): Cell | null;
    preloadMaybeRef(): Cell | null;
    loadBit(): Bit;
    preloadBit(): Bit;
    loadBits(size: number): Bit[];
    preloadBits(size: number): Bit[];
    loadInt(size: number): number;
    preloadInt(size: number): number;
    loadBigInt(size: number): bigint;
    preloadBigInt(size: number): bigint;
    loadUint(size: number): number;
    preloadUint(size: number): number;
    loadBigUint(size: number): bigint;
    preloadBigUint(size: number): bigint;
    loadVarInt(length: number): number;
    preloadVarInt(length: number): number;
    loadVarBigInt(length: number): bigint;
    preloadVarBigInt(length: number): bigint;
    loadVarUint(length: number): number;
    preloadVarUint(length: number): number;
    loadVarBigUint(length: number): bigint;
    preloadVarBigUint(length: number): bigint;
    loadBytes(size: number): Uint8Array;
    preloadBytes(size: number): Uint8Array;
    loadString(size?: number): string;
    preloadString(size?: number): string;
    loadAddress(): Address | null;
    preloadAddress(): Address;
    loadCoins(decimals?: number): Coins;
    preloadCoins(decimals?: number): Coins;
    loadDict<K = Bit[], V = Cell>(keySize: number, options?: HashmapOptions<K, V>): HashmapE<K, V>;
    preloadDict<K = Bit[], V = Cell>(keySize: number, options?: HashmapOptions<K, V>): HashmapE<K, V>;
    static parse(cell: Cell): Slice;
}
export { Slice };
