interface CoinsOptions {
    isNano?: boolean;
    decimals?: number;
}
declare class Coins {
    private value;
    private decimals;
    private multiplier;
    constructor(value: Coins | bigint | number | string, options?: CoinsOptions);
    add(coins: Coins): this;
    sub(coins: Coins): this;
    mul(value: bigint | number | string): this;
    div(value: bigint | number | string): this;
    eq(coins: Coins): boolean;
    gt(coins: Coins): boolean;
    gte(coins: Coins): boolean;
    lt(coins: Coins): boolean;
    lte(coins: Coins): boolean;
    isNegative(): boolean;
    isPositive(): boolean;
    isZero(): boolean;
    toString(): string;
    toNano(): string;
    private static checkCoinsType;
    private static checkCoinsDecimals;
    private static compareCoinsDecimals;
    private static checkValue;
    private static checkCoins;
    private static checkConvertability;
    private static isValid;
    private static isCoins;
    private static isConvertable;
    static fromNano(value: bigint | number | string, decimals?: number): Coins;
}
export { Coins, CoinsOptions };
