import { Coins } from '../coins';
import { Address } from '../address';
import { Cell } from '../boc';
interface MessageInternalOptions {
    ihrDisabled?: boolean;
    bounce: boolean;
    bounced?: boolean;
    src: Address;
    dest: Address;
    value: Coins;
    ihrFee?: Coins;
    fwdFee?: Coins;
    createdLt?: number;
    createdAt?: number;
}
interface MessageExternalInOptions {
    src?: Address;
    dest?: Address;
    importFee?: Coins;
}
interface MessageData {
    body?: Cell;
    state?: Cell;
}
declare class Message {
    private header;
    private body;
    private state;
    constructor(header: Cell, body?: Cell, state?: Cell);
    private parse;
    private static signed;
    sign(key: Uint8Array): Cell;
    cell(): Cell;
}
declare class MessageInternal extends Message {
    constructor(options: MessageInternalOptions, data?: MessageData);
}
declare class MessageExternalIn extends Message {
    constructor(options: MessageExternalInOptions, data?: MessageData);
}
export { MessageInternal, MessageExternalIn };
