"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Mnemonic = void 0;
const mnemonic_bip39_1 = require("./mnemonic-bip39");
const utlis_1 = require("./utlis");
const TON_SALT = 'TON default seed';
const TON_ROUNDS = 100000;
const TON_KEY_LENGTH = 32;
class Mnemonic extends mnemonic_bip39_1.MnemonicBIP39 {
    constructor(mnemonic = []) {
        super(mnemonic, {
            salt: TON_SALT,
            rounds: TON_ROUNDS,
            keyLength: TON_KEY_LENGTH
        });
    }
    static generateSeed(mnemonic) {
        const seed = (0, utlis_1.generateSeed)(mnemonic, (0, utlis_1.normalize)(TON_SALT), TON_ROUNDS, TON_KEY_LENGTH);
        return seed.slice(0, TON_KEY_LENGTH);
    }
    static async generateSeedAsync(mnemonic) {
        const seed = await (0, utlis_1.generateSeedAsync)(mnemonic, (0, utlis_1.normalize)(TON_SALT), TON_ROUNDS, TON_KEY_LENGTH);
        return seed.slice(0, TON_KEY_LENGTH);
    }
    generateSalt(salt) {
        return (0, utlis_1.normalize)(salt);
    }
}
exports.Mnemonic = Mnemonic;
//# sourceMappingURL=mnemonic.js.map