import type { Bit } from '../types/bit';
import { KeyPair } from './key-pair';
declare const deriveChecksumBits: (entropy: Uint8Array) => Bit[];
declare const generateKeyPair: (seed: Uint8Array) => KeyPair;
declare const generateWords: () => string[];
declare const generateSeed: (mnemonic: string[], salt: string, rounds: number, keyLength: number) => Uint8Array;
declare const generateSeedAsync: (mnemonic: string[], salt: string, rounds: number, keyLength: number) => Promise<Uint8Array>;
declare const normalize: (value: string) => string;
export { deriveChecksumBits, generateKeyPair, generateWords, generateSeed, generateSeedAsync, normalize };
